Subject: Request for Estonia crisis preparedness plan or guidance
From: "Jude Ogbodo" <[email-masked]>
To: Päästeamet <[email-masked]>
Date: Wed, 17 Jun 2026 17:52:29 +0300

TÄHELEPANU! Tegemist on väljastpoolt asutust saabunud kirjaga. Tundmatu
saatja korral palume linke ja faile mitte avada!

Dear Sir or Madam,
I am a PhD researcher at RCSI University of Medicine and Health Sciences.
I am conducting a policy, planning, and guidance document analysis on
national health-system preparedness for extreme weather events across EU
member states.
I found your website while searching for Estonia’s crisis preparedness and
emergency planning documents. However, I could not locate the current full
crisis preparedness plan or guidance document.
I would be grateful if you could direct me to any current national crisis
preparedness, emergency planning, civil protection, or rescue-service
guidance documents relevant to Estonia.
If the documents are not online, they can be sent to me by email.
Documents in Estonian or English are both suitable.
Thank you very much.
Best regards,
Jude Chukwuebuka Ogbodo,
BSc, MPH, EMMPHID, PhD Candidate,
Faculty of Nursing & Midwifery,
Royal College of Surgeons - RCSI,
University of Medicine and Health Sciences,
123 St. Stephen's Green, Dublin, Ireland.
Email: [email-masked]
Website: www.rcsi.com <http://www.rcsi.com/>